import QtQuick 1.1
import com.nokia.meego 1.0

Rectangle {
    color: "black"
    anchors.fill: parent

    Column {
        spacing: 40
        anchors {
            top: parent.top
            bottom: contactInfo.top
            left: parent.left
            right: parent.right
        }

        Image {
            anchors.horizontalCenter: parent.horizontalCenter

            Component.onCompleted: {
                if(showAboutInfo)
                    source = "qrc:///images/bbsmile80.png"
                else
                    source = "qrc:///images/bbsmile256.png"
            }
        }

        Label {
            anchors.horizontalCenter: parent.horizontalCenter
            width: parent.width - 20
            textFormat: Text.RichText
            wrapMode: Text.WordWrap

            color: "white"
            text: '<html><body><h4 align="center">bbSmile v0.3.0 by Mariano Boragno</h4>'
        }

        Label {
            anchors.horizontalCenter: parent.horizontalCenter
            width: parent.width - 20
            textFormat: Text.RichText
            wrapMode: Text.WordWrap
            horizontalAlignment: Text.AlignHCenter
            visible: !appWindow.showAboutInfo

            color: "lightgray"
            text: '<html><body><h2 align="center">PAUSED</h2>'
        }

        Label {
            anchors.horizontalCenter: parent.horizontalCenter

            width: parent.width - 20
            textFormat: Text.RichText
            wrapMode: Text.WordWrap
            color: "white"
            visible: appWindow.showAboutInfo

            text: '<html><body>
                    <p><br>bbSmile is an application meant to entertain babies and make them smile.
                    Enjoy watching your baby have fun with sounds and colors all around!<p>

                    <p>You can tap the boxes in the corners following this sequence to activate/deactivate
                    the baby lock: <i>top-left, top-right, bottom-right, bottom-left (clockwise direction).</i><p>

                    </body></html>
                  '
        }

    }

    Label {
        id: contactInfo
        anchors {
            bottom: parent.bottom
            bottomMargin: 20
            horizontalCenter: parent.horizontalCenter
        }

        width: parent.width - 10
        textFormat: Text.RichText
        wrapMode: Text.WordWrap
        color: "white"
        visible: appWindow.showAboutInfo

        onLinkActivated: { Qt.openUrlExternally(link) }

        text: '<html><body>
                <hr>
                <p>You can leave any comment or get support at
                <a href="http://sites.google.com/site/bbsmilen9/"> bbSmile website<a>.</p>

                </body></html>
              '
    }

}
