import QtQuick 1.1
import com.nokia.meego 1.0

Rectangle {
    color: "black"
    anchors.fill: parent

    Behavior on opacity { NumberAnimation { duration: 1500 } }


    Column {
        spacing: 40
        anchors {
            verticalCenter: parent.verticalCenter
            horizontalCenter: parent.horizontalCenter
        }
        width: parent.width

        Image {
            anchors.horizontalCenter: parent.horizontalCenter
            source: "qrc:///images/bbsmile256.png"
        }

        Label {
            anchors.horizontalCenter: parent.horizontalCenter
            width: parent.width - 20
            textFormat: Text.RichText
            wrapMode: Text.WordWrap

            color: "white"
            text: '<html><body><h4 align="center">bbSmile v0.3.0 by Mariano Boragno</h4>'
        }

        ProgressBar {

            id: progressBar
            width: parent.width - 20
            minimumValue: 1
            maximumValue: mainPage.progressTotal
            value: mainPage.progressValue

            anchors.horizontalCenter: parent.horizontalCenter

        }

        Label {
            anchors.horizontalCenter: parent.horizontalCenter
            width: parent.width - 20
            textFormat: Text.RichText
            wrapMode: Text.WordWrap
            horizontalAlignment: Text.AlignHCenter

            color: "white"
            text: mainPage.eventText
        }
    }

}
